Results 1 to 4 of 4

Thread: Leap 42.1 Gnome shell Conky issue

  1. #1
    Join Date
    Nov 2014
    Location
    Schiedam, the Netherlands
    Posts
    14

    Default Leap 42.1 Gnome shell Conky issue

    In Leap 42.1 Gnome edition everything works well except a small thing in my Conky script.

    I try to let conky display the name and release of openSUSE that I am using with the code

    Code:
    ${pre_exec lsb_release -d | cut -f 2| tr "[:upper:]" "[:lower:]"}
    On the desktop this gives the result
    ${pre_exec}
    Anybody an idea how to get it working?
    \
    This code worked nicely in openSUSE 13.2 ; so unless something dramatic changed in openSUSE it should be working.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,844
    Blog Entries
    15

    Default Re: Leap 42.1 Gnome shell Conky issue

    On Fri 06 Nov 2015 06:36:02 PM CST, VincentvdBergh wrote:

    In Leap 42.1 Gnome edition everything works well except a small thing in
    my Conky script.

    I try to let conky display the name and release of openSUSE that I am
    using with the code


    Code:
    --------------------
    ${pre_exec lsb_release -d | cut -f 2| tr "[:upper:]" "[:lower:]"}
    --------------------


    On the desktop this gives the result > ${pre_exec}

    Anybody an idea how to get it working?
    \
    This code worked nicely in openSUSE 13.2 ; so unless something dramatic
    changed in openSUSE it should be working.


    Hi
    In conky version 10.x everything changed to lua, have you converted
    your conkyrc to the correct syntax?

    --
    Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 12 | GNOME 3.10.1 | 3.12.48-52.27-default
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. #3
    Join Date
    Nov 2014
    Location
    Schiedam, the Netherlands
    Posts
    14

    Default Re: Leap 42.1 Gnome shell Conky issue

    I didn't knew conky switched to lua in version 1.10.

    Apparently everthing within my conky was already written " Lua proof" except this tiny bit.

    Would you happen to know where I can find some decent stuff on how to Lua script as my Google searches only end with pages that look like working at NASA or totally irrelevant.

  4. #4
    Join Date
    Nov 2014
    Location
    Schiedam, the Netherlands
    Posts
    14

    Default Re: Leap 42.1 Gnome shell Conky issue

    Never mind. Got a work around by using
    Code:
    ${execi 60 lsb_release -d}
    instead.

    Apparently the
    Code:
    pre_exec
    does not work in Conky 1.10, only in Conky 1.09.xx or earlier.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •